{% extends 'base.html' %}

{% block title %}Welcome to probanden24{% endblock %}
{% block content %}
    {% if form.errors %}
        <p>Your username and password didn't match. Please try again.</p>
    {% endif %}

    {% if next %}
        {% if user.is_authenticated %}
            <p>Your account doesn't have access to this page. To proceed,
                please login with an account that has access.</p>
        {% else %}
            <p>Please login to see this page.</p>
        {% endif %}
    {% endif %}
    {% if not user.is_authenticated %}
        <form method="post" action="{% url 'login' %}">
            {% csrf_token %}
            <div class="row">
                <div class="col-1"></div>
                <div class="col">
                    <label class="mx-1" for="username">Username:</label><input class="mx-1" id="username"
                                                                               name="username" type="text"/>
                </div>
                <div class="col">
                    <label class="mx-1" for="password">Password:</label><input class="mx-1" id="password"
                                                                               name="password" type="password"/>
                </div>
                <div class="col-2">
                    <input type="submit" class="btn btn-success float-right form-control" value="Login"
                           aria-describedby="register">
                    <small id="register" class="form-text text-muted float-right"><a href="{% url 'register' %}">Not
                        registered yet?</a>
                    </small>
                    <input type="hidden" name="next" value="{{ next }}">
                </div>
            </div>
        </form>
    {% endif %}
    <h1 class="mb-4">Available Studies</h1>

    {% include 'show_studies.html' with studies=studies %}

{% endblock %}